module(..., package.seeall)

-- Load libraries
require("modelfunctions")
require("fs")
require("format")

-- Set variables
local configfile = "/etc/grossd.conf"
local processname = "grossd"
local packagename = "gross"

local path = "PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin "

-- ################################################################################
-- LOCAL FUNCTIONS

-- ################################################################################
-- PUBLIC FUNCTIONS

function startstop_service(action)
	return modelfunctions.startstop_service(processname, action)
end

function getstatus()
	return modelfunctions.getstatus(processname, packagename, "Gross Status")
end

function getstatusdetails()
	return cfe({ type="longtext", value="", label="Gross Status Details" })
end

function get_filedetails()
	return modelfunctions.getfiledetails(configfile)
end

function update_filedetails(filedetails)
	return modelfunctions.setfiledetails(filedetails, {configfile})
end
